# GET /v1/responses/{response_id}

> GetResponse

- `operationId`: `V1ResponsesResponseIdGetResponse`
- Group: [Inference API](https://sference.com/docs/api-reference/inference-api.md)
- API spec (machine-readable): https://sference.com/openapi.json
- HTML version: https://sference.com/docs/api-reference/inference-api/V1ResponsesResponseIdGetResponse

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `response_id` | path | string | yes | — |

## Responses

### `200` — Request fulfilled, document follows

Schema: `ResponseItem`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `id` | string | yes | — | UUID of the inference request. |
| `object` | string | no | default `"response"` | — |
| `created_at` | integer | yes | — | Unix timestamp (seconds). |
| `model` | string | yes | — | — |
| `status` | string | yes | enum: in_progress | completed | failed | cancelled | incomplete | — |
| `incomplete_details` | ResponseIncompleteDetails \| null | no | — | — |
| `output` | array<ResponseOutputMessage \| ResponseOutputReasoning \| ResponseFunctionToolCall> \| null | no | — | — |
| `error` | ResponseError \| null | no | — | — |
| `usage` | ResponseUsage \| null | no | — | — |
| `service_tier` | string | no | enum: default | flex, default `"default"` | Tier the request was served at. |

### `400` — Bad request syntax or unsupported method

Schema: `object`

| Field | Type | Required | Constraints | Description |
| --- | --- | --- | --- | --- |
| `status_code` | integer | yes | — | — |
| `detail` | string | yes | — | — |
| `extra` | null \| object \| array | no | — | — |

Source: https://sference.com/docs/api-reference/inference-api/V1ResponsesResponseIdGetResponse
